Time-Entries CSV export is broken

2021-09-24 12:15 - der gl0wn

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Time tracking Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix Affected version:  

Description

If you want to export certain rows in the time-entries, all columns are exported anyway.

How reproducible:

1. open time entries

2. select specific rows

3. retrieve via CSV

History

#1 - 2021-10-14 09:50 - Go MAEDA

- Category set to Time tracking

I cannot reproduce the issue. What version of Redmine are you using?

#2 - 2021-10-18 09:40 - der gl0wn

Go MAEDA wrote:

I cannot reproduce the issue. What version of Redmine are you using?

 Were currently on 4.2.1.

#3 - 2022-08-30 07:44 - Karel Pičman

- File csv_export.png added

Here is an evidence from Redmine 5.0.0.stable.21546. However, it seems to be a feature, that CSV export ignores any line selection and exports all

lines instead.
#4 - 2022-08-30 09:35 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Wont fix

The CSV export feature is supposed to export all entries selected by the filter. And the checkboxes are for selecting the target for bulk edit, not for

CSV export.

Files

csv_export.png 162 KB 2022-08-30 Karel Pičman
